<template>
  <div class="wrapper">
    <div class="container-fuild">
      <div id="headTitle">
        <Logo />
        <h1 id="title" _msttexthash="48503" _msthash="2">
          {{ i18ntext.lngText("company") }}
        </h1>
      </div>
      <Header />
      <ol id="topicPath">
        <li style="margin-left: 275px">
          <a href="#"> {{ i18ntext.lngText("company") }} </a>
        </li>
      </ol>
    </div>
    <div class="search-box">
      <div id="product">
        <!--#contents -->
        <div class="search-box mb-4" id="mb-4">
          <h2 class="search-box-title" id="Bars">
            <div id="bar" style="padding-left: 0">

              <router-link to="product" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fas fa-plus" style="padding-right: 5px"> </i>
                  {{ i18ntext.lngText("add-pro") }}
                </a>
              </router-link>
              <ul class="dropdown-menu" style="padding: 6px">
                <li>
                  <router-link to="/product">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-bottom: 10px;
                        margin-top: 0;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fas fa-plus"></i>
                      {{ i18ntext.lngText("add-pro") }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewproduct">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      id="bar-1"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-eye" aria-hidden="true"></i>
                      {{ i18ntext.lngText("pro_view") }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="brands" data-bs-toggle="dropdown" aria-expanded="false">
                <a
                  class="btn-radius btn btn-sm"
                  href="#"
                  id="bar-1"
                  style="background-color: #29a5a5"
                >
                  <i class="fa fa-cog" aria-hidden="true"></i>
                  {{ i18ntext.lngText("set-pro") }}
                </a>
              </router-link>

              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/Brands">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-top: 0;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-tags" aria-hidden="true"></i>
                      {{ i18ntext.lngText("brands") }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/supplies">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      id="bar-1"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-truck" aria-hidden="true"></i>
                      {{ i18ntext.lngText("supplier") }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/unitcode">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      id="bar-1"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-th-large" aria-hidden="true"></i>
                      {{ i18ntext.lngText("unittype") }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/Group">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      id="bar-1"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-flask" aria-hidden="true"></i>
                      {{ i18ntext.lngText("diangosis") }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/Category">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      id="bar-1"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-box-open"></i>
                      {{ i18ntext.lngText("category") }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/exchangerate">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      id="bar-1"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-money-bill-wave"></i>
                      {{ i18ntext.lngText("exchangerate") }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/paymenMethod">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      id="bar-1"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-money-check"></i>
                      {{ i18ntext.lngText("payment") }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/testserviceview">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      id="bar-1"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-vial"></i>
                      {{ i18ntext.lngText("service") }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/groupService">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      id="bar-1"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-thermometer-quarter" aria-hidden="true"></i>
                      {{ i18ntext.lngText("groupservice") }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/company">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      id="bar-1"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-building" aria-hidden="true"></i>
                      {{ i18ntext.lngText("company") }}
                    </a>
                  </router-link>
                </li>
              </ul>

              <router-link
                to="menupurchase"
                data-bs-toggle="dropdown"
                aria-expanded="false"
              >
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fa fa-shopping-cart" aria-hidden="true"></i>
                  {{ i18ntext.lngText("purchase_order") }}
                </a>
              </router-link>
              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/Purchasview">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-top: 0;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-cart-plus"></i>
                      {{ i18ntext.lngText("purchase_order") }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewrecept">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      id="bar-1"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-cart-arrow-down" aria-hidden="true"></i>
                      {{ i18ntext.lngText("recept_order") }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/serailcode">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      id="bar-1"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-barcode"></i>
                      {{ i18ntext.lngText("serial") }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/paymenview">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      id="bar-1"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-eye"></i>
                      {{ i18ntext.lngText("payment_view") }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link
                to="/stockonhand"
                data-bs-toggle="dropdown"
                aria-expanded="false"
              >
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fa fa-shopping-basket" aria-hidden="true"></i>
                  {{ i18ntext.lngText("stock") }}
                </a>
              </router-link>
              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/stockonhand">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-top: 0;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-prescription-bottle"></i>
                      {{ i18ntext.lngText("onhands") }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/stockonhand_date">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      id="bar-1"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-calendar-plus"></i>
                      {{ i18ntext.lngText("onhand-date") }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/beginningstock">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      id="bar-1"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-tape"></i>
                      {{ i18ntext.lngText("begin-stock") }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewstockcount">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      id="bar-1"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-calculator"></i>
                      {{ i18ntext.lngText("stock-count") }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/stocktransection">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      id="bar-1"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-recycle" aria-hidden="true"></i>
                      {{ i18ntext.lngText("stock-tran") }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="/stockalert">
                <a
                  class="btn-radius btn btn-sm"
                  href="#"
                  id="bar-1"
                  style="border: #22adb763 1px solid; margin-right: 0; width: 100%"
                >
                  <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                  {{ i18ntext.lngText("stock-alert") }}
                  <span
                    style="
                      background-color: red;
                      border-radius: 5px;
                      padding: 3px;
                      box-shadow: 1px 1px;
                      color: #333;
                    "
                  >
                    {{ stockcount }} {{ i18ntext.lngText("item") }}
                  </span>
                </a>
              </router-link>
              <router-link to="/ex_alert">
                <a
                  class="btn-radius btn btn-sm"
                  href="#"
                  id="bar-1"
                  style="border: #22adb763 1px solid; margin-right: 0; width: 100%"
                >
                  <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                  {{ i18ntext.lngText("expire-alert1") }}
                  <span
                    style="
                      background-color: red;
                      border-radius: 5px;
                      padding: 3px;
                      box-shadow: 1px 1px;
                      color: #333;
                    "
                  >
                    {{ count_expire }} {{ i18ntext.lngText("item") }}
                  </span>
                </a>
              </router-link>
            </div>
            <div id="right">
              <a
                class="btn-radius bt-pn btn btn-sm"
                data-bs-toggle="dropdown"
                aria-expanded="false"
                style="float: right; color: #f8f5b4; margin-top: -2px; width: 79px"
              >
                <i class="fas fa-plus" style="padding-right: 5px"> </i>
                {{ i18ntext.lngText("menu") }}
              </a>

              <ul class="dropdown-menu">
                <li>
                  <a
                    class="dropdown-item btn btn-primary"
                    data-bs-toggle="modal"
                    data-bs-target="#staticboomId"
                    tabindex="10028"
                    ><i class="fa fa-print" aria-hidden="true"></i>
                    {{ i18ntext.lngText("print") }}</a
                  >
                </li>
              </ul>
            </div>
          </h2>
          <input autocomplete="off" id="search" name="search" type="hidden" value="1" />
          <div class="search-box-content">
            <table
              width="100%"
              border="0"
              cellpadding="0"
              cellspacing="0"
              class="tbl_form"
            >
              <tbody>
                <tr>
                  <th style="color: #f8f5b4">{{ i18ntext.lngText("name") }}</th>
                  <td colspan="3">
                    <input autocomplete="off"
                      class="string_zen clear_text text"
                      id="search_word_simei_s"
                      maxlength="50"
                      name="search_word[simei_s]"
                      type="text"
                      tabindex="10017"
                      style="width: 35%"
                      v-model="form.company_name"
                    />
                  </td>
                </tr>
                <tr>
                  <th style="color: #f8f5b4; width: 15%">
                    {{ i18ntext.lngText("address") }}
                  </th>
                  <td colspan="3">
                    <textarea
                      class="string_zen clear_text text"
                      id="search_word_simei_s"
                      cols="1"
                      rows="1"
                      name="search_word[simei_s]"
                      type="text"
                      tabindex="10017"
                      v-model="form.company_Address"
                      style="
                        width: 35%;
                        outline: none;
                        color: #777;
                        border-color: #aaa;
                        border-radius: 3px;
                      "
                    >
                    </textarea>
                  </td>
                </tr>
                <tr>
                  <th style="color: #f8f5b4">{{ i18ntext.lngText("phone") }}</th>
                  <td colspan="3">
                    <input autocomplete="off"
                      style="width: 35%"
                      class="string_zen clear_text text"
                      id="search_word_jigyosyo_group_name"
                      maxlength="50"
                      name="search_word[jigyosyo_group_name]"
                      type="text"
                      tabindex="10014"
                      v-model="form.company_Phone"
                    />
                  </td>
                </tr>
                <tr>
                  <th style="color: #f8f5b4">{{ i18ntext.lngText("com-email") }}</th>
                  <td colspan="3">
                    <input autocomplete="off"
                      style="width: 35%"
                      class="string_zen clear_text text"
                      id="search_word_jigyosyo_group_name"
                      maxlength="50"
                      name="search_word[jigyosyo_group_name]"
                      type="text"
                      tabindex="10014"
                      v-model="form.company_Email"
                    />
                  </td>
                </tr>
                <tr>
                  <th width="10%" style="color: rgb(248, 245, 180)">
                    {{ i18ntext.lngText("image") }}
                  </th>
                  <td width="50%">
                    <input autocomplete="off"
                      type="file"
                      id="myfile"
                      name="myfile"
                      @change="imgUplaod($event)"
                    />
                  </td>
                </tr>
                <tr>
                  <th width="10%" style="color: #f8f5b4">
                    {{ i18ntext.lngText("man-cur") }}
                  </th>
                  <td width="50%">
                    <div class="dropdown d-flex">
                      <button
                        style="width: 35% !important"
                        class="dropdown-toggle string_zen clear_text text select-menu"
                        type="button"
                        id="dropdownMenuButton1"
                        data-bs-toggle="dropdown"
                        aria-expanded="false"
                        size="50"
                      >
                        {{ form.main_Currency }}
                        <i class="fa fa-chevron-down"></i>
                      </button>
                      <div
                        class="dropdown-menu each-drop-menu"
                        aria-labelledby="dropdownMenuButton1"
                      >
                        <ul style="list-style: none" class="scrollable-menu">
                          <li
                            v-for="(cur, i) in curs"
                            :key="i"
                            :value="cur"
                            @click="getproductsetting(cur, 'cur')"
                          >
                            <div class="menu-item">
                              <p>{{ cur.curency }}</p>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </td>
                </tr>
                <tr>
                  <th style="color: #f8f5b4">{{ i18ntext.lngText("pro-check") }}</th>
                  <td colspan="3">
                    <input autocomplete="off"
                      class="string_zen clear_text text"
                      :disabled="true"
                      id="search_word_simei_s"
                      maxlength="50"
                      name="search_word[simei_s]"
                      type="text"
                      tabindex="10017"
                      v-model="form.product_check"
                      style="width: 35%"
                    />
                  </td>
                </tr>
              </tbody>
            </table>
            <div class="search-box-footer">
              <div
                class="button type2"
                id="uniform-undefined"
                @click="selectUpdate(form.id)"
              >
                <span
                  ><input autocomplete="off"
                    type="button"
                    value="display"
                    class="type2"
                    style="opacity: 0; width: 54px"
                    tabindex="10025"
                  /><i class="fas fa-file-import"></i>
                  {{ i18ntext.lngText("update") }}</span
                >
              </div>
              <span class="marker"></span>
            </div>
          </div>
        </div>
        <div class="box">
          <div class="box-content">
            <table
              width="100%"
              border="0"
              cellpadding="0"
              cellspacing="0"
              class="table table-striped br-table"
            >
              <thead>
                <tr class="header-table">
                  <th width="5%">{{ i18ntext.lngText("image") }}</th>
                  <th width="10%">{{ i18ntext.lngText("name") }}</th>
                  <th width="10%">{{ i18ntext.lngText("phone") }}</th>
                  <th width="10%">{{ i18ntext.lngText("com-email") }}</th>
                  <th width="10%">{{ i18ntext.lngText("man-cur") }}</th>
                  <th width="9%">{{ i18ntext.lngText("pro-check") }}</th>
                  <th width="8%">{{ i18ntext.lngText("address") }}</th>
                  <th width="10%"></th>
                </tr>
              </thead>
              <tbody>
                <tr>
                  <td style="border: medium none">
                    <img
                      style="width: 60px; object-fit: cover; height: 60px"
                      :src="'img/company/' + register.company_image"
                    />
                  </td>
                  <td style="border: medium none">
                    {{ register.company_name }}
                  </td>
                  <td style="border: medium none">
                    {{ register.company_Phone }}
                  </td>
                  <td style="border: medium none">
                    {{ register.company_Email }}
                  </td>
                  <td style="border: medium none">
                    {{ register.main_Currency }}
                  </td>
                  <td style="border: medium none">
                    {{ register.product_check }}
                  </td>
                  <td style="border: medium none">
                    {{ register.company_Address }}
                  </td>
                  <td style="border: medium none; text-align: center">
                    <div
                      style="
                        display: flex;
                        flex-direction: row;
                        justify-content: space-around;
                        align-items: center;
                      "
                    >
                      <div @click="btn_checkEdit(register)" class="button type2">
                        <span
                          ><input autocomplete="off"
                            type="button"
                            value="display"
                            class="type2"
                            style="opacity: 0; width: 54px"
                            tabindex="10025"
                          /><i class="fa fa-edit"></i
                          >{{ i18ntext.lngText("select") }}</span
                        >
                      </div>
                    </div>
                  </td>
                </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div id="footer">
    <div id="copyright">Copyright (C) healthbook. ALL Right s Researved Edit by Lsky</div>
  </div>
  <div id="myModal" class="lskymodal">
    <div class="lskymodal-content">
      <p><i class="fa fa-check" aria-hidden="true"></i> {{ message }}</p>
    </div>
  </div>
  <div
    class="modal fade ui-modal"
    id="staticboomId"
    data-bs-backdrop="static"
    data-bs-keyboard="false"
    tabindex="-1"
    aria-labelledby="staticboomId"
    aria-hidden="true"
  >
    <div class="modal-dialog">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <h5 class="modal-title in-header" id="staticBackdropLabel">
            <i class="fa fa-print" aria-hidden="true"></i> {{ i18ntext.lngText("print") }}
          </h5>
          <span
            class="ui-icon ui-icon-closethick"
            data-bs-dismiss="modal"
            aria-label="Close"
          ></span>
        </div>
        <div class="ui-dialog-content">
          <div class="card">
            <div class="card-body">
              <div class="mt-3 print-size">
                <div class="row d-flex align-items-baseline">
                  <div class="col-xl-9"></div>
                  <hr />
                </div>
                <div style="padding: 0 50px 0 50px" id="purchaseorder">
                  <div class="col-md-12">
                    <div class="text-center">
                      <h3 class="title-purchase">{{ i18ntext.lngText("com-rep") }}</h3>
                    </div>
                  </div>

                  <div class="col-container">
                    <div class="col1" style="width: 55%">
                      <p class="p-bg font-size p-pad">
                        {{ i18ntext.lngText("com-name") }}
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{ i18ntext.lngText("name") }} :</span>
                        <span id="fon">{{ company.company_name }}</span>
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{ i18ntext.lngText("phone") }} : </span>
                        <span id="fon">{{ company.company_Phone }}</span>
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{ i18ntext.lngText("email") }} : </span>
                        <span id="fon">{{ company.company_Email }}</span>
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{ i18ntext.lngText("address") }} :</span>
                        <span id="fon">{{ company.company_Address }}</span>
                      </p>
                    </div>
                    <div class="col2">
                      <p class="text-center p-bg font-size p-pad">
                        {{ i18ntext.lngText("date") }}
                      </p>
                      <p class="text-center p-mg" id="fon">{{ dateformart }}</p>
                      <p class="text-center p-mg" id="fon">{{ register.length }}</p>
                    </div>
                  </div>
                  <div class="my-2 justify-content-center">
                    <table id="pr-tb">
                      <thead>
                        <tr class="p-bg">
                          <th class="text-center" width="7%">
                            {{ i18ntext.lngText("no") }}
                          </th>
                          <th class="text-center" width="25%">
                            {{ i18ntext.lngText("com-name") }}
                          </th>
                          <th class="text-center" width="30%">
                            {{ i18ntext.lngText("address") }}
                          </th>
                          <th class="text-center" width="20%">
                            {{ i18ntext.lngText("phone") }}
                          </th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr>
                          <td>{{ register.id }}</td>
                          <td>{{ register.company_name }}</td>
                          <td>{{ register.company_Address }}</td>
                          <td>{{ register.company_Phone }}</td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                  <hr />
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <a
            v-print="'#purchaseorder'"
            class="btn-purchase btn-light text-capitalize border-0"
            data-mdb-ripple-color="dark"
            ><i class="fas fa-print text-primary"></i> {{ i18ntext.lngText("print") }}</a
          >
        </div>
      </div>
    </div>
  </div>
  <UserInfo />
</template>
<script>
import Logo from "../logo.vue";
import Header from "../Header.vue";
import readXlsxFile from "read-excel-file";
import * as XLSX from "xlsx/xlsx.mjs";
import pagination from "laravel-vue-pagination";
import moment from "moment";
import UserInfo from "../UserInfo.vue";
import i18n from "../../i18n/i18n";
import axios from "axios";
import print from "vue3-print-nb";
import { ref, reactive, watch, computed, onMounted } from "vue";
import { log } from "mathjs";
import Auth from "../../auth/Auth";
const btnValue1 = ref(false);
const btnValue2 = ref(false);
const disabled = ref(true);
export default {
  components: { Header, pagination, Logo, UserInfo },
  directives: {
    print,
  },
  data() {
    return {
      i18ntext: i18n,
      curs: [],
      company: [],
      register: [],
      dateformart: "",
      form: {
        id: "",
        company_image: "",
        company_name: "",
        company_Address: "",
        company_Phone: "",
        company_Email: "",
        main_Currency: "",
        product_check: "",
        created_by: "",
        delete_by: "",
        updated_at: "",
        created_by: "1",
      },

      stockcount: 0,
      count_expire: 0,
    };
  },
  mounted() {
    if (Auth.check()) {
      if (!Auth.checkPermission("COMPANY_ALL")) {
        this.$router.push("/dashboard");
      }
    }
    this.getcurn();
    this.selectSetup();
    this.getstockalert();
    this.getExpireAlert();
  },
  methods: {
    getstockalert() {
      axios.post("api/v1/stockcheck/checkOptionstock").then((response) => {
        this.stockcount = response.data.data.total;
      });
    },
    async getExpireAlert() {
      axios.get("api/v1/expireAlert").then((res) => {
        this.count_expire = res.data.stock.total;
      });
    },
    imgUplaod(e) {
      const image = e.target.files[0];
      const reader = new FileReader();
      reader.readAsDataURL(image);
      reader.onload = (e) => {
        this.form.company_image = e.target.result;
      };
    },

    getcurn() {
      axios.get("api/v1/curency/getdata").then((res) => {
        this.curs = res.data;
      });
    },

    btn_checkEdit(itemss) {
      this.form = JSON.parse(JSON.stringify(itemss));
    },

    selectSetup() {
      axios.get("/api/v1/setup/selectsetup/").then((res) => {
        this.register = res.data;
      });
    },

    selectUpdate(id) {
      console.log(this.form.main_Currency),
        axios.post("/api/v1/setup/updatesetup/" + this.form.id, this.form).then((res) => {
          this.company = res.data;
          this.form = {};
          this.message = "save successful.";
          this.messagebox();
        });
    },

    messagebox() {
      var modal = document.getElementById("myModal");
      modal.style.display = "block";
      setTimeout(() => (modal.style.display = "none"), 2000);
    },
  },
};
</script>
